> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magna.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Admin Release Allocations

> Trigger a claim on behalf of stakeholders by building admin withdraw transactions for selected allocations.



## OpenAPI

````yaml /apis/admin/openapi.json post /api/external/v1/allocations/admin-release
openapi: 3.1.0
info:
  title: Magna Admin API
  version: 1.0.0
  description: >-
    The private, server-to-server API for managing allocations, funding and
    claims, transactions, portals, and token data. Authenticated with a project
    API key sent in the `x-magna-api-token` header.
servers:
  - url: https://app.magna.so
    description: Production
security:
  - apiToken: []
paths:
  /api/external/v1/allocations/admin-release:
    post:
      tags:
        - Allocations
      summary: Admin Release Allocations
      description: >-
        Trigger a claim on behalf of stakeholders by building admin withdraw
        transactions for selected allocations.
      operationId: postAllocationsAdminRelease
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type:
                - object
              properties:
                tokenId:
                  type:
                    - string
                  minLength: 1
                  format: uuid
                allocationIds:
                  type:
                    - array
                  items:
                    type:
                      - string
                    minLength: 1
                    format: uuid
                  minItems: 1
                sender:
                  type:
                    - string
                  minLength: 1
              required:
                - tokenId
                - allocationIds
                - sender
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  isProcessed:
                    type: boolean
                  result:
                    description: Endpoint-specific result payload.
              example:
                isProcessed: true
                result:
                  items:
                    - transactionGroupId: 0a95df41-468f-4e9b-b5eb-08e982618ad1
                      parameters:
                        - from: 0xAdminWallet...
                          to: 0xContract...
                          data: 0x8612...
                          platformFee: null
                          transactionId: 67f987e4-70cc-4833-8935-1f3baff601a4
                  total: 1
        '400':
          description: Validation error
        '401':
          description: Missing or invalid API token
        '403':
          description: API token lacks the required scope or project access
components:
  securitySchemes:
    apiToken:
      type: apiKey
      in: header
      name: x-magna-api-token

````